.\" Copyright (c) 1990, 1991 The Regents of the University of California.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the Systems Programming Group of the University of Utah Computer
.\" Science Department.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)ite.4	5.2 (Berkeley) 3/27/91
.\"	$NetBSD: ite.4,v 1.8 2001/10/28 18:47:03 wiz Exp $
.\"
.Dd August 30, 1994
.Dt ITE 4 amiga
.Os
.Sh NAME
.Nm ite
.Nd
.Tn Amiga
Internal Terminal Emulator
.Sh SYNOPSIS
.Cd "ite0 at grf0"
.Cd "ite1 at grf1"
.Cd "ite2 at grf2"
.Cd "ite3 at grf3"
.Cd "ite4 at grf4"
.Cd "ite5 at grf5"
.Cd "ite6 at grf6"
.Cd "ite7 at grf7"
.Sh DESCRIPTION
.Tn TTY
special files of the form ``ttye?''
are interfaces to the
.Tn Amiga ITE
for bit-mapped displays.
An
.Nm
is the main system console on most
.Tn Amiga
workstations and
is the mechanism through which a user communicates with the machine.
If more than one of the supported displays exists on a system,
any or all can be used as
.Nm
.Ns s
with the limitation that only
one will have a keyboard (since only one keyboard is supported) and only
one of each type can be used.
.Pp
.Nm
devices use the
.Tn HP-UX
.Sq Li 300h
.Xr termcap 5
entry.
However, as currently implemented,
the
.Nm
does not support the full range of
.Tn HP-UX
capabilities for this device.
Missing are multiple colors, blinking, softkeys,
programmable tabs, scrolling memory and keyboard arrow keys.
The keyboard will use the left and right
.Tn Em Amiga
keys as meta keys, in that it will set the eighth bit of the character code.
.Nm
devices also do a good job at emulating the
.Sq Li vt100
.Xr termcap 5
entry.
.Pp
Upon booting, the kernel will first look for an
.Nm
device
to use as the system console
.Pq Pa /dev/console .
If a display exists at any hardware address, it will be the console.
The kernel looks for them in decreasing order (that is, choosing the
highest-numbered one).
.Pp
On most systems,
a display is used both as an
.Nm
.Pf ( Pa /dev/ttye?
aka
.Pa /dev/console )
and as a graphics device
.Pq /dev/grf? .
In this environment,
there is some interaction between the two uses that should be noted.
For example, opening
.Pa /dev/grf0
will deactivate the
.Nm
that is, write over whatever may be on the
.Nm
display.
When the graphics application is finished and
.Pa /dev/grf0
closed,
the
.Nm
will be reinitialized with the frame buffer cleared
and the
old colormap installed.
.Sh SEE ALSO
.Xr grf 4 ,
.Xr kbd 4
.Sh HISTORY
The
.Tn Amiga
.Nm
first appeared in
.Nx 1.0
